- Qt 6.11
- Qt Core
- C++ Classes
- QVarLengthArray
- Qt 6.11.1 Reference Documentation

# Obsolete Members for QVarLengthArray

The following members of class QVarLengthArray are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.3)` void | prepend(T &&value)
`(deprecated in 6.3)` void | prepend(const T &value)

## Member Function Documentation

### `[deprecated in 6.3]` void QVarLengthArray::prepend(const T &value)

### `[deprecated in 6.3]` void QVarLengthArray::prepend(T &&value)

This function is deprecated since 6.3. We strongly advise against using it in new code.

This is slow. If you must, use `insert(cbegin(), ~~~)` instead.

Inserts value at the beginning of the array.

This is the same as vector.insert(0, value).

For large arrays, this operation can be slow (linear time), because it requires moving all the items in the vector by one position further in memory. If you want a container class that provides a fast prepend() function, use std::list instead.

See also append() and insert().